# is_resource

(PHP 4, PHP 5, PHP 7, PHP 8)

is_resource — Détermine si une variable est une ressource

### Description

is_resource(mixed `$value`): bool

Détermine si une variable est une resource.

### Liste de paramètres

`value`

  La variable à évaluer.

### Valeurs de retour

Retourne `true` si `value` est une resource, `false` autrement.

### Exemples

Exemple #1 Exemple avec is_resource()

`<?php
$handle = fopen("php://stdout", "w");
if (is_resource($handle)) {
echo '$handle est une ressource';
}
?>`

L'exemple ci-dessus va afficher :

    $handle est une ressource

### Notes

> Note:

> La fonction is_resource() n'est pas une méthode de vérification stricte de type : elle va retourner `false` si le paramètre `value` est une ressource qui a été fermée.

### Voir aussi

- La documentation sur les ressources
- get_resource_type() - Retourne le type de ressource